Reverse refund

View as MarkdownOpen in Claude
Use this method to cancel a refund in an open batch. To cancel a refund, you need its refundId. Our gateway returned the refundId in the response of the [Refund Payment](https://docs.payroc.com/api/schema/card-payments/refunds/create-referenced-refund) or [Create Refund](https://docs.payroc.com/api/schema/card-payments/refunds/create-unreferenced-refund) method. **Note:** If you don’t have the refundId, use our [List Refunds](https://docs.payroc.com/api/schema/card-payments/refunds/list) method to search for the refund. If your request is successful, the gateway removes the refund from the merchant’s open batch and no funds are returned to the cardholder’s account.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

refundIdstringRequired=10 characters
Unique identifier that our gateway assigned to the refund.

Headers

Idempotency-KeystringRequiredformat: "uuid"
Unique identifier that you generate for each request. You must use the [UUID v4 format](https://www.rfc-editor.org/rfc/rfc4122) for the identifier. For more information about the idempotency key, go to [Idempotency](https://docs.payroc.com/api/idempotency).

Response

Successful request. We voided the refund.
refundIdstring=10 characters
Unique identifier that our gateway assigned to the refund.
processingTerminalIdstring4-50 characters
Unique identifier that we assigned to the terminal.
orderobject
Object that contains information about the refund.
cardobject
Object that contains the details of the payment card.
transactionResultobject
Object that contains information about the transaction response details.
operatorstring0-50 characters
Operator who requested the refund.
customerobject
Object that contains the customer's contact details and address information.
paymentobject
Object that contains information about a payment.
supportedOperationslist of enums
Array of operations that you can perform on the transaction. - `capture` - Capture the payment. - `refund` - Refund the payment. - `fullyReverse` - Fully reverse the transaction. - `partiallyReverse` - Partially reverse the payment. - `incrementAuthorization` - Increase the amount of the authorization. - `adjustTip` - Adjust the tip post-payment. - `addSignature` - Add a signature to the payment. - `setAsReady` - Set the transaction’s status to `ready`. - `setAsPending` - Set the transaction’s status to `pending`.
customFieldslist of objects
Array of customField objects.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
409
Conflict Error
415
Unsupported Media Type Error
500
Internal Server Error